import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
export declare class NclexExamCalculatorComponent implements OnInit, OnChanges {
    expression: string;
    returnValue: number;
    sqrt: number;
    calculatorIsOpen: boolean;
    memory: string;
    memoryPlus: string;
    memoryMinus: string;
    droppedData: string;
    calculatorOpen: boolean;
    vc: any;
    resetFeature: boolean;
    updateResetValue: EventEmitter<any>;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    /**
     * Close the calculator
     */
    closeCal(): void;
    /**
     * Concat the expression in the calculator
     * @param calcValue
     */
    concatNumber(calcValue: string): void;
    /**
     * Arithemetic operation
     */
    operation(): string | false;
    /**
     * validating display expression
     * @param event
     */
    validateUserInput(event: any): boolean;
    /**
     * to show calculator dialog box
     */
    showCalculatorDialogBox(): void;
}
